package com.zjty.inspect.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <h4>Description : 造价估算</h4>
 *
 * @author : M@tr!x [xhyrzldf@foxmail.com]
 * @Date : 2020-03-05 18:57
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "造价估算")
public class ManufacturingCost {

    /**
     * 人工单价
     */
    private Estimate artificial = new Estimate();

    /**
     * 基础工作量
     */
    private Estimate workLoad = new Estimate();

    /**
     * 难度系数
     */
    private Estimate degreeOfDifficulty = new Estimate();

    /**
     * 额外依赖服务申请
     */
    private Estimate apply = new Estimate();

    /**
     * 预算费用
     */
    private Estimate budgetaryCost = new Estimate();

}
